Loading...
Searching...
No Matches
BALL::VIEW::ButtonEvent Class Reference

`#include <BALL/VIEW/INPUT/buttonEvent.h>`

Inheritance diagram for BALL::VIEW::ButtonEvent:

## Public Member Functions

| ButtonEvent (EventsIDs type, InputDeviceDriver *dev, InputDeviceButton cause)
| ButtonEvent (EventsIDs type, InputDeviceDriver *dev, InputDeviceButton cause, InputDeviceButtons buttons)
InputDeviceButton | button () const
InputDeviceButtons | buttons () const
Public Member Functions inherited from BALL::VIEW::DeviceEvent
| DeviceEvent (EventsIDs type, InputDeviceDriver *device)
InputDeviceDriver * | getDevice ()

## Detailed Description

This event encodes button states of a custom input device. It is emitted when a button is either pressed or released.

Definition at line 34 of file buttonEvent.h.

## Constructor & Destructor Documentation

## ButtonEvent() [1/2]

BALL::VIEW::ButtonEvent::ButtonEvent | ( | EventsIDs | type,
|  | InputDeviceDriver * | dev,
|  | InputDeviceButton | cause )

## ButtonEvent() [2/2]

BALL::VIEW::ButtonEvent::ButtonEvent | ( | EventsIDs | type,
|  | InputDeviceDriver * | dev,
|  | InputDeviceButton | cause,
|  | InputDeviceButtons | buttons )

## Member Function Documentation

## button()

InputDeviceButton BALL::VIEW::ButtonEvent::button | ( |  | ) | const

inline

Return the button that caused the event.

Definition at line 43 of file buttonEvent.h.

## buttons()

InputDeviceButtons BALL::VIEW::ButtonEvent::buttons | ( |  | ) | const

inline

Returns the state of the devices buttons when the event was emitted.

Definition at line 48 of file buttonEvent.h.